# TNaming_Evolution.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | TNaming_Evolution { TNaming_PRIMITIVE, TNaming_GENERATED, TNaming_MODIFY, TNaming_DELETE, TNaming_REPLACE, TNaming_SELECTED }
| only for Shape Copy test - to move in DNaming More...

## Enumeration Type Documentation

enum TNaming_Evolution

Enumeration values:

  TNaming_PRIMITIVE |
  TNaming_GENERATED |
  TNaming_MODIFY |
  TNaming_DELETE |
  TNaming_REPLACE |
  TNaming_SELECTED |